/*
 *  hnv_set_up_tetra_flow.h
 *  HeteroNumberViewer
 *
 *  Created by Naoto Morikawa on 9/23/07.
 *  Copyright (C) 2007 Naoto Morikawa. All rights reserved.
 *
 *  2007-10-01 version 0.1 release
 */

//===============================================
// Public data
//===============================================

extern struct tetra_flow my_closure_tetrahedron_flow;
extern struct tetra_flow * pt_my_tetrahedron_flow_org;
extern struct tetra_flow * pt_my_tetrahedron_flow_new;
extern struct tetra_flow * pt_my_tetrahedron_flow;


//===============================================
// Public methods
//===============================================

extern void print_tetra_flow(struct tetra_flow * t_flow);
extern int get_tflow_seq_ct(struct tetra_flow * t_flow);
extern int check_tflow_seq_array(struct tetra_flow * t_flow);
extern void get_tflow_std_cone_peak_coor(float * coor, struct tetra_flow * t_flow, int p_ct);
extern int get_tflow_std_cone_peak_ct(struct tetra_flow * t_flow);
extern int get_tflow_std_cone_peak_size(struct tetra_flow * t_flow);
extern void initialize_tetra_flow(struct tetra_flow * t_flow);
extern void set_up_tetra_flow(struct tetra_flow * t_flow);
extern void free_cones_and_tetras(void);
extern void free_tetra_flow(struct tetra_flow * t_flow);
